{% extends "admin/base.html.jinja" %}
{% block content %}
  <section class="container mb-5">
    {% if message %}
      <div
        class="alert alert-success alert-dismissible fade show mb-4"
        role="alert"
      >
        {{ message }}
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="alert"
          aria-label="Close"
        ></button>
      </div>
    {% endif %}
    <div class="d-flex flex-row justify-content-between align-items-center">
      <h4>API Tokens</h4>
      <a class="btn btn-sm btn-outline-success" href="/admin/api-tokens/create"
        >Erstellen</a
      >
    </div>
    <table class="table table-striped table-hover">
      <thead>
        <tr>
          <th scope="col">Nummernkreis</th>
          <th scope="col">Nummernkreis-Beschreibung</th>
          <th scope="col">Token-Beschreibung</th>
          <th scope="col">Aktionen</th>
        </tr>
      </thead>
      <tbody>
        {% for item in api_tokens %}
          <tr>
            <th scope="row">{{ item.nummernkreis }}</td>
            <td>{{ item.get_nummernkreis_description() }}</td>
            <td>{{ item.description }}</td>
            <td>
              <a
                href="/admin/api-tokens/{{ item.id }}"
                class="btn btn-sm btn-outline-secondary"
                >Details</a
              >
              <a
                href="/admin/api-tokens/{{ item.id }}/delete"
                class="btn btn-sm btn-outline-danger"
                >Löschen</a
              >
            </td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </section>
{% endblock %}
